# vim: ft=i3
### silence specific settings
set $intern "Unknown 0x5B2D 0x00000000"
set $extern-38 "Goldstar Company Ltd 38GN950 008NTLEFY912"
set $extern-13 "Unknown CX133 0x00000001"
set $main $extern-38

### Output configuration
output $intern mode 1920x1080
output $extern-38 mode 3840x1600
output $extern-13 mode 2560x1600 scale 1.6

bindswitch --reload --locked lid:on output $intern disable
bindswitch --reload --locked lid:off output $intern enable

### Input configuration
input "1739:30383:CUST0001:00_06CB:76AF_Touchpad" {
  click_method clickfinger
  dwt enabled               # disable while typing
  # drag enabled
  # drag_lock enabled
  scroll_method two_finger
  tap enabled
  tap_button_map lrm
  natural_scroll enabled
  middle_emulation enabled
}

input "1:1:AT_Translated_Set_2_keyboard" {
  xkb_layout "eu"
  xkb_options "xk5:vim,xk5:fn"
}
